//#12.00Aa WDOnglet.JS
//VersionVI: 30F180063c x
// Le seul support technique disponible pour cette librairie est
// accessible a travers le service "Assistance Directe".

// Manipulation des onglets

// Manipule un volet
function WDVolet (oOnglet, nIndiceVolet)
{
	// + 1 car les volets sont avec les indices WL donc qui commencent a 1
	var sAlias = oOnglet.m_sAlias + '_' + (nIndiceVolet + 1);
	// Trouve les elements : titre et corps
	this.m_oTitre = document.getElementById(sAlias);
	this.m_oCorps = document.getElementById('dww' + sAlias);

	// Hook le clic dans le titre
	var oTmp = this;
	var oTmpOnglet = oOnglet;
	this.m_fOnClick = this.m_oTitre.onclick;

	if (this.m_oTitre && oOnglet.m_bIE)
	{
		this.m_oTitre.onclick = function () { oTmpOnglet.OnClick(event, nIndiceVolet); if (oTmp.m_fOnClick) { oTmp.m_fOnClick.call(event); } };
	}
	else
	{
		this.m_oTitre.onclick = function (event) { oTmpOnglet.OnClick(event, nIndiceVolet); if (oTmp.m_fOnClick) { oTmp.m_fOnClick.call(event); } };
	}
}

WDVolet.prototype =
{
//	m_oTitre:	null,
//	m_oCorps:	null,
//	m_fOnClick:	null,

	Affiche:function (bAffiche, oOnglet)
	{
		// Affiche ou masque le volet
		this.m_oCorps.style.display = bAffiche ? 'block' : 'none';

		// Change le style du volet
		this.m_oTitre.className = oOnglet.m_tabStyle[bAffiche ? oOnglet.nStyleActif : oOnglet.nStyleInactif];

		// Supprime ou affiche la barre de sparation
		switch (oOnglet.m_ePosition)
		{
		case oOnglet.ePosVolet_Haut:
			this.m_oTitre.style.borderBottomWidth = bAffiche ? '0px' : '1px';
			break;
		case oOnglet.ePosVolet_Bas:
			this.m_oTitre.style.borderTopWidth = bAffiche ? '0px' : '1px';
			break;
		case oOnglet.ePosVolet_Gauche:
			this.m_oTitre.style.borderRightWidth = bAffiche ? '0px' : '1px';
			break;
		case oOnglet.ePosVolet_Droite:
			this.m_oTitre.style.borderLeftWidth = bAffiche ? '0px' : '1px';
			break;
		}
	}
}

// Manipulation des onglets
function WDOnglet (sAliasOnglet, nNbOnglets, ePosition, tabStyle)
{
	this.m_sAlias = sAliasOnglet;
	this.m_nNbOnglets = nNbOnglets;
	this.m_tabOnglets = new Array();
	this.m_ePosition = ePosition;
	this.m_tabStyle = tabStyle;
}

WDOnglet.prototype =
{
	m_bIE:				(navigator.appName.indexOf('Microsoft') != -1),
//	m_sAlias:			'',
//	m_nNbOnglets:		1,
//	m_nOngletActif:		1,
//	m_tabOnglets:		new Array(),
//	m_ePosition:		ePosVolet_Haut,
//	m_tabStyle:			new Array(),
//	m_fPCodeModificationSimpleNav:undefined,
	ePosVolet_Haut:		0,
	ePosVolet_Bas:		1,
	ePosVolet_Gauche:	2,
	ePosVolet_Droite:	3,
	nStyleActif:		0,
	nStyleInactif:		1,

	Init:function ()
	{
		// Construit le tableau des onglets
		var i;
		var nLimiteI = this.m_nNbOnglets;
		for (i = 0; i < nLimiteI; i++)
		{
			// Construit un onglet
			this.m_tabOnglets.push(new WDVolet(this, i));
		}
	},
	
	// Code de modification navigateur
	CodeModificationSimple:function (sFonctionModification)
	{
		this.m_fPCodeModificationSimpleNav = new Function("event", "return " + sFonctionModification + ";");
	},

	// Affiche un onglet
	OnClick:function (oEvent, nIndiceVolet)
	{
		// Masque tous les volets sauf le volet a activer
		var i;
		var nLimiteI = this.m_nNbOnglets;
		for (i = 0; i < nLimiteI; i++)
		{
			// Masque le volet
			if (i != nIndiceVolet)
				this.m_tabOnglets[i].Affiche(false, this);
		}
		this.m_tabOnglets[nIndiceVolet].Affiche(true, this);

		// Change la valeur du champ cach qui donne l'onglet affich
		// + 1 car l'indice est WL pour :
		//	- La lecture en JS
		//	- Le submit au serveur qui prend un indice WL
		document.getElementsByName(this.m_sAlias)[0].value = nIndiceVolet + 1;

		// Appel le PCode navigateur de modification
		if (this.m_fPCodeModificationSimpleNav)
			this.m_fPCodeModificationSimpleNav(oEvent);
	}
}
